Page MenuHomePhabricator

Implement "arc work", to replace "arc feature"
ClosedPublic

Authored by epriestley on Jun 8 2020, 9:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jun 14, 9:57 AM
Unknown Object (File)
Sat, Jun 11, 1:48 PM
Unknown Object (File)
Fri, Jun 10, 6:04 PM
Unknown Object (File)
Wed, Jun 8, 11:22 PM
Unknown Object (File)
Jun 5 2022, 8:51 PM
Unknown Object (File)
Jun 4 2022, 11:54 PM
Unknown Object (File)
Jun 2 2022, 5:55 PM
Subscribers
None

Details

Summary

Ref T13546. Fixes T2928. Adds a new "arc work" workflow which functions like the older "arc feature" workflow, but with modern infrastructure.

Test Plan

Used "arc work" to begin work on branches, bookmarks, and revisions in Git and Mercurial.

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 8 2020, 11:27 PM
This revision was automatically updated to reflect the committed changes.